ucfirst
vfprintf
String Functions
PHP Manual

# ucwords

Uppercase the first character of each word in a string

### Description

string ucwords ( string `$str` )

Returns a string with the first character of each word in `str` capitalized, if that character is alphabetic.

The definition of a word is any string of characters that is immediately after a whitespace (These are: space, form-feed, newline, carriage return, horizontal tab, and vertical tab).

### Parameters

`str`

  The input string.

### Return Values

Returns the modified string.

### Examples

Example #1 ucwords example

`<?php
$foo = 'hello world!';
$foo = ucwords($foo); // Hello World!
$bar = 'HELLO WORLD!';
$bar = ucwords($bar); // HELLO WORLD!
$bar = ucwords(strtolower($bar)); // Hello World!
?>`

### Notes

> Note: This function is binary-safe.

### See Also

- strtoupper
- strtolower
- ucfirst
- mb_convert_case